Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.xpcom
Class JRexXPCOMImpl

    java.lang.Object
      org.mozilla.jrex.xpcom.JRexXPCOMImpl

All Implemented Interfaces:
  JRexXPCOM

public class JRexXPCOMImpl
extends Object
implements JRexXPCOM

The class implementing JRexXPCOM interface. The instance of class is are constructed using the `getInstance` method.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `JRexXPCOM`

Method Summary
`static JRexXPCOM` | `getInstance()` A factory method to get the instance of JRexXPCOM Implementation.
`void` | `startXPCOM()` A function to start mozilla XPCOM engine.
`void` | `stopXPCOM()` A function to stop mozilla XPCOM engine.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static JRexXPCOM getInstance()
                                 throws JRexException

  A factory method to get the instance of JRexXPCOM Implementation.

  Returns:
    instance of JRexXPCOM.
  Throws:
    `JRexException`

### startXPCOM

    public void startXPCOM()
                    throws JRexException

  A function to start mozilla XPCOM engine. The function uses following system properties.
  - jrex.gre.path Path to the mozilla bin or GRE directory.
  - jrex.profile.name The name of profile to load.
  - jrex.profile.path The path where the profile should be created if it does not exsist. If not specified defaults to java user.home system property.
  - jrex.force.noprofile Setting this property to true will result in not using any profile. This overrides `jrex.profile.name` and `jrex.profile.path` property. Note:- Presently https will not work if this property is set.

  Specified by:
    `startXPCOM` in interface `JRexXPCOM`
  Throws:
    `JRexException`

### stopXPCOM

    public void stopXPCOM()
                   throws JRexException

  Description copied from interface: `JRexXPCOM`
  A function to stop mozilla XPCOM engine.

  Specified by:
    `stopXPCOM` in interface `JRexXPCOM`
  Throws:
    `JRexException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.